<template>
  <div>
    <slot></slot>
    <select v-model="selection" ref='select' class="form-select" aria-label="Select filter">
      <option selected value="">{{ $t('searchfilter.all') }}</option>
      <option v-for="(option, index) in options" :key="index" :value="option[0]">{{ option[1] }}</option>
    </select>
  </div>
</template>

<script>
import helper from '../../helper'

export default {
  name: 'SubjectSelectionFilter',
  mixins: [helper],
  computed: {
    options () {
      return [...new Set(this.$store.state.journals.map(j => j.languages).flat())].map(l => [l, this.lang_code_detailed(l)]).sort((a, b) => a[1] > b[1])
    },
    selection: {
      get () {
        return this.$store.state.filters.language
      },
      set (v) {
        this.$store.commit('SET_FILTER_LANGUAGE', v)
      }
    }
  }
}
</script>
